# SingleProducerConsumer.h File Reference

[Internal] Passes queued data between threads using a circular buffer with read and write pointers More...

`#include "RakAssert.h"`
`#include "RakMemoryOverride.h"`
`#include "Export.h"`

## Classes
class | DataStructures::SingleProducerConsumer< SingleProducerConsumerType >
| A single producer consumer implementation without critical sections. More...
## Namespaces
namespace | DataStructures

## Detailed Description

[Internal] Passes queued data between threads using a circular buffer with read and write pointers

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.